using compabetov2.database;
using compabetov2.database.modelos;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SQLite;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace compabetov2


{
    


    public partial class MenuPrincipal : Form
    {
        private int childFormNumber = 0;
        private LoginModel loginPrincipal;
        public MenuPrincipal(LoginModel loginPrincipal)
        {
            InitializeComponent();
            this.loginPrincipal = loginPrincipal;
        }

       

        private void ShowNewForm(object sender, EventArgs e)
        {
            Form childForm = new Form();
            childForm.MdiParent = this;
            childForm.Text = "Ventana " + childFormNumber++;
            childForm.Show();
        }

       


        private void ExitToolsStripMenuItem_Click(object sender, EventArgs e)
        {
            
        }

        private void MenuPrincipal_Load(object sender, EventArgs e)
        {
           

            





           
        }

        private void horafecha_Tick(object sender, EventArgs e)
        {
            lblhora.Text = DateTime.Now.ToString("h:mm:ss");
            lblfecha.Text = DateTime.Now.ToLongDateString();

        }

        private void button5_Click(object sender, EventArgs e)
        {
            

               login login = new login();
            login.ShowDialog();
            this.Dispose();
        }

        private void pictureBox4_Click(object sender, EventArgs e)
        {

            if (loginPrincipal.tipo.Equals("empleado"))
            {
                MessageBox.Show("Usted no tiene permisos de acceder a este apartado");
            }
            else
            {
                inventario inventario = new inventario(loginPrincipal);
                inventario.Show();
            }      
        }

        private void lblfecha_Click(object sender, EventArgs e)
        {

        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {



            // Establecer el formulario de menú principal (this) como el formulario MDI padre



            // Mostrar el formulario de ventas

            if (loginPrincipal.tipo.Equals("empleado"))
            {
                MessageBox.Show("Usted no tiene permisos de acceder a este apartado");
            }
            else
            {
                personal personal = new personal(loginPrincipal);

                personal.Show();
            }
            
            

        }

        private void pictureBox3_Click(object sender, EventArgs e)
        {
            envios envios = new envios(loginPrincipal);

            envios.Show();
        }

        private void pictureBox5_Click(object sender, EventArgs e)
        {
            cuentas cuentas = new cuentas(loginPrincipal);
            cuentas.Show();
        }

        private void pictureBox6_Click(object sender, EventArgs e)
        {
            mermas mermas = new mermas(loginPrincipal);
            mermas.Show();

            

        }

        private void lblhora_Click(object sender, EventArgs e)
        {

        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {


           vender ventasForm = new vender(loginPrincipal);

            // Establecer el formulario de menú principal (this) como el formulario MDI padre

            

            // Mostrar el formulario de ventas
            ventasForm.Show();


      
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {

        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {

            if (loginPrincipal.tipo.Equals("empleado"))
            {
                MessageBox.Show("Usted no tiene permisos de acceder a este apartado");
            }
            else
            {
                Estadiscticas estadiscticas = new Estadiscticas();
                estadiscticas.Owner = this;
                estadiscticas.Show();
            }
            
        }

    }
}
